
Installer - Feature #8020

puppet-server-environments should take a list of arguments

10/21/2014 10:40 PM - James Kyle

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently you must specify the puppet-server-environments argument to the installer multiple times, once for each environment. For

example

foreman-installer --puppet-server-environments environment1 --puppet-server-environments environment2

It would be very nice to provide a single command like so

foreman-installer --puppet-server-environments environment1,environment2,environment3

If multiple arguments are preferable, maybe make the argument singular such as

foreman-installer --puppet-server-environment environment1 --puppet-server-environment environment2

Also, the docs are a bit vague on usage. It took me a while, with some help from #theforeman, to figure it out.

Thanks for the great platform!

History

#1 - 10/22/2014 03:32 AM - Marek Hulán

- Project changed from Kafo to Installer

This comes from clamp, an underlaying library used for CLI options. We should probably document this better in foreman-installer, therefore I'm

moving to Installer subproject. Also renaming the puppet parameter (which I don't prefer would be OK with that) would happen in installer modules.

#2 - 12/02/2020 05:48 PM - Ewoud Kohl van Wijngaarden

Dealing with it this way is convenient from a programmers point of view. It could use more documentation and I have also thought about renaming

plural to singular, but it's a bit tricky.

I'm going to leave it open for a bit longer, but I doubt we'll get to it.
